Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface AuditableEventQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  AuditableEventQueryTypeImpl

    public interface AuditableEventQueryType

extends RegistryObjectQueryType

A representation of the model object 'Auditable Event Query Type'.

The following features are supported:

- `Auditable Event Filter`
- `Registry Object Query`
- `Registry Entry Query`
- `User Branch`

See Also:
  `QueryPackage.getAuditableEventQueryType()`

Method Summary
`FilterType` | `getAuditableEventFilter()` Returns the value of the 'Auditable Event Filter' containment reference.
`RegistryEntryQueryType` | `getRegistryEntryQuery()` Returns the value of the 'Registry Entry Query' containment reference.
`RegistryObjectQueryType` | `getRegistryObjectQuery()` Returns the value of the 'Registry Object Query' containment reference.
`UserBranchType` | `getUserBranch()` Returns the value of the 'User Branch' containment reference.
`void` | `setAuditableEventFilter(FilterType value)` Sets the value of the '`Auditable Event Filter`' containment reference.
`void` | `setRegistryEntryQuery(RegistryEntryQueryType value)` Sets the value of the '`Registry Entry Query`' containment reference.
`void` | `setRegistryObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Registry Object Query`' containment reference.
`void` | `setUserBranch(UserBranchType value)` Sets the value of the '`User Branch`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAuditableEventFilter

    FilterType getAuditableEventFilter()

  Returns the value of the 'Auditable Event Filter' containment reference.

  If the meaning of the 'Auditable Event Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Filter' containment reference.
  See Also:
    `setAuditableEventFilter(FilterType)`, `QueryPackage.getAuditableEventQueryType_AuditableEventFilter()`

### setAuditableEventFilter

    void setAuditableEventFilter(FilterType value)

  Sets the value of the '`Auditable Event Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event Filter' containment reference.
  See Also:
    `getAuditableEventFilter()`

### getRegistryObjectQuery

    RegistryObjectQueryType getRegistryObjectQuery()

  Returns the value of the 'Registry Object Query' containment reference.

  If the meaning of the 'Registry Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getAuditableEventQueryType_RegistryObjectQuery()`

### setRegistryObjectQuery

    void setRegistryObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Registry Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `getRegistryObjectQuery()`

### getRegistryEntryQuery

    RegistryEntryQueryType getRegistryEntryQuery()

  Returns the value of the 'Registry Entry Query' containment reference.

  If the meaning of the 'Registry Entry Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getAuditableEventQueryType_RegistryEntryQuery()`

### setRegistryEntryQuery

    void setRegistryEntryQuery(RegistryEntryQueryType value)

  Sets the value of the '`Registry Entry Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `getRegistryEntryQuery()`

### getUserBranch

    UserBranchType getUserBranch()

  Returns the value of the 'User Branch' containment reference.

  If the meaning of the 'User Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Branch' containment reference.
  See Also:
    `setUserBranch(UserBranchType)`, `QueryPackage.getAuditableEventQueryType_UserBranch()`

### setUserBranch

    void setUserBranch(UserBranchType value)

  Sets the value of the '`User Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'User Branch' containment reference.
  See Also:
    `getUserBranch()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD